<?php
// $Id$

/**
 * @file
 * The cck formatter part
 */

/**
 * Implementation of hook_field_formatter_info().
 */
function cck_inputs_textfield_field_formatter_info() {
  return array(
    'default' => array(
      'label' => t('Default'),
      'field types' => array('cck_inputs_textfield'),
      'multiple values' => CONTENT_HANDLE_CORE,
    ),
  );
}

/**
 * Theme function for 'default' text field formatter.
 */
function theme_cck_inputs_textfield_formatter_default($element) {
#print_r($element);exit;

  $textfield = array(
    '#type' => 'textfield',
    '#name' => $element['#item']['textfield_name'],
    '#value' => $element['#item']['textfield_value'],
    //#default_value does not work
    '#title' => t($element['#item']['textfield_label']),
  );
  return drupal_render($textfield);

}

